Extending Qt Creator Manual | SimpleReaderNode

Extending Qt Creator Manual 4.5.2

# SimpleReaderNode Class

(QmlJS::SimpleReaderNode)

- List of all members, including inherited members

## Public Types

typedef | List
typedef | PropertyHash
typedef | Ptr
typedef | WeakPtr

## Public Functions

const List | children() const
bool | isRoot() const
bool | isValid() const
QString | name() const
WeakPtr | parent() const
PropertyHash | properties() const
QVariant | property(const QString &name) const
QStringList | propertyNames() const

## Static Public Members

Ptr | invalidNode()

## Protected Functions

| SimpleReaderNode()
| SimpleReaderNode(const QString &name, WeakPtr parent)
void | setProperty(const QString &name, const QVariant &value)

## Static Protected Members

Ptr | create(const QString &name, WeakPtr parent)

## Member Type Documentation

### typedef SimpleReaderNode::List

### typedef SimpleReaderNode::PropertyHash

### typedef SimpleReaderNode::Ptr

### typedef SimpleReaderNode::WeakPtr

## Member Function Documentation

### `[protected]` SimpleReaderNode::SimpleReaderNode()

Default constructs an instance of SimpleReaderNode.

### `[protected]` SimpleReaderNode::SimpleReaderNode(const QString &name, WeakPtr parent)

Default constructs an instance of SimpleReaderNode.

### const List SimpleReaderNode::children() const

### `[static protected]` Ptr SimpleReaderNode::create(const QString &name, WeakPtr parent)

### `[static]` Ptr SimpleReaderNode::invalidNode()

### bool SimpleReaderNode::isRoot() const

### bool SimpleReaderNode::isValid() const

### QString SimpleReaderNode::name() const

### WeakPtr SimpleReaderNode::parent() const

### PropertyHash SimpleReaderNode::properties() const

### QVariant SimpleReaderNode::property(const QString &name) const

See also setProperty().

### QStringList SimpleReaderNode::propertyNames() const

### `[protected]` void SimpleReaderNode::setProperty(const QString &name, const QVariant &value)

See also property().